curl --request POST \
--url https://api.minimaxi.com/v2/video_regeneration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": "MiniMax-H3",
"source_task_id": "424010985738629",
"resolution": "2K"
}
'{
"task_id": "424010985738629"
}{
"type": "error",
"error": {
"type": "bad_request_error",
"message": "invalid params, content must include a non-empty text item (prompt is required) (2013)",
"http_code": "400"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "authorized_error",
"message": "login fail: Please carry the API secret key in the 'Authorization' field of the request header (1004)",
"http_code": "401"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "insufficient_balance_error",
"message": "insufficient balance (1008)",
"http_code": "402"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "unprocessable_entity_error",
"message": "video description contains sensitive content (1026)",
"http_code": "422"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"message": "rate limit, please retry later (1002)",
"http_code": "429"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "server_error",
"message": "internal error (1000)",
"http_code": "500"
},
"request_id": "021785229015510a2c883cf675b9804d"
}MiniMax-H3
创建视频再生成任务
对符合 MiniMax-H3 768P 输出规格的源视频再生成为 2K 视频。
POST
/
v2
/
video_regeneration
curl --request POST \
--url https://api.minimaxi.com/v2/video_regeneration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--data '
{
"model": "MiniMax-H3",
"source_task_id": "424010985738629",
"resolution": "2K"
}
'{
"task_id": "424010985738629"
}{
"type": "error",
"error": {
"type": "bad_request_error",
"message": "invalid params, content must include a non-empty text item (prompt is required) (2013)",
"http_code": "400"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "authorized_error",
"message": "login fail: Please carry the API secret key in the 'Authorization' field of the request header (1004)",
"http_code": "401"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "insufficient_balance_error",
"message": "insufficient balance (1008)",
"http_code": "402"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "unprocessable_entity_error",
"message": "video description contains sensitive content (1026)",
"http_code": "422"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "rate_limit_error",
"message": "rate limit, please retry later (1002)",
"http_code": "429"
},
"request_id": "021785229015510a2c883cf675b9804d"
}{
"type": "error",
"error": {
"type": "server_error",
"message": "internal error (1000)",
"http_code": "500"
},
"request_id": "021785229015510a2c883cf675b9804d"
}支持两种方式(二选一):
- 按任务 ID:传已有生成任务的
source_task_id - 按源视频:在
content中传base_video
本接口仅支持对符合 MiniMax-H3 768P 输出规格的生成视频进行再生成并输出 2K,不支持任意视频的通用处理。
授权
请求头
请求体的媒介类型,请设置为 application/json。
可用选项:
application/json 请求体
application/json
- 按任务 ID 再生成(source_task_id)
- 按源视频再生成(base_video)
模型名称,必填。当前支持 MiniMax-H3。
可用选项:
MiniMax-H3 已有 /v2/video_generation 成功任务的 task_id,以其产物为源再生成。使用限制:需开通白名单;源任务须属于当前账号、状态为 succeeded,且仍可通过 /v2/query/video_generation 查到(创建于 7 天内)。
视频再生成的目标分辨率,必填。当前支持 2K。
可用选项:
2K 任务状态变更的回调 URL,可选。行为同创建视频生成任务的 callback_url。
是否为生成视频添加 AIGC 水印,可选,默认 false。
响应
创建成功后返回 task_id。使用该 task_id 调用查询任务接口获取任务状态与结果。
查询任务成功响应示例
{
"task": {
"id": "424010985738631",
"model": "MiniMax-H3",
"status": "succeeded",
"created_at": 1785126000,
"updated_at": 1785126300,
"content": {
"url": "https://your-cdn.example.com/h3-regenerated-2k-output.mp4"
},
"resolution": "2K",
"duration": 5,
"usage": {
"total_seconds": 5,
"input_seconds": 0,
"output_seconds": 5,
"input_image_count": 0
},
"ratio": "",
"task_type": "regeneration",
"modality": "video"
}
}
任务 ID,用于后续查询任务状态与结果。
此页面对您有帮助吗?
⌘I